E-MailRelay

Classes | Functions
GNet::DnsBlockImp Namespace Reference

An implementation namespace for GNet::DnsBlock. More...

## Classes
struct | Denier
| A functor that tests a GNet::DnsBlockServerResult. More...
struct | HostList
| A list of addresses used by GNet::DnsBlock. More...
struct | Laggard
| A functor that tests a GNet::DnsBlockServerResult. More...
struct | Responder
| A functor that tests a GNet::DnsBlockServerResult. More...

## Functions
std::ostream & | operator<< (std::ostream &stream, const HostList &list)
template<typename T , typename P >
G::StringArray | server_names_if (T p, T end, P pred)

## Detailed Description

An implementation namespace for GNet::DnsBlock.

## Function Documentation

## ◆ operator<<()

std::ostream & GNet::DnsBlockImp::operator<< | ( | std::ostream & | stream,
|  | const HostList & | list
| ) |  |

Definition at line 64 of file gdnsblock.cpp.

## ◆ server_names_if()

template<typename T , typename P >

G::StringArray GNet::DnsBlockImp::server_names_if | ( | T | p,
|  | T | end,
|  | P | pred
| ) |  |

Definition at line 74 of file gdnsblock.cpp.